<html>
<head>
<title>TestNG:  Push</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Push</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>2/0/0</td>
</tr><tr>
<td>Started on:</td><td>Mon Mar 18 11:54:50 IST 2024</td>
</tr>
<tr><td>Total time:</td><td>62 seconds (62122 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.webengage.mobile_automation.tests.PushNotificationTest.testPushCamp()'><b>testPushCamp</b><br>Test class: com.webengage.mobile_automation.tests.PushNotificationTest<br>Parameters: {template={"Expected":{
      "Type":"Text",
      "Name":"MobileSDKPushTextLayout",
      "Title":"Text Template",
      "Content":{
         "TextAndAction":{
            "Title":"Text Template",
            "Description":"Text Body"
         },
         "AdvancedOption":{
            "MessageSummary":"Text Message Summary",
            "AdvOptionBtnLabel":"Text ButtonLabel"
         }
      }
   }}, campaign_name=MobileSDKPushTextLayout, user_id=TestUser002}</td>
<td></td>
<td>30</td>
<td>com.webengage.mobile_automation.tests.PushNotificationTest@73700b80</td></tr>
<tr>
<td title='com.webengage.mobile_automation.tests.PushNotificationTest.testPushCamp()'><b>testPushCamp</b><br>Test class: com.webengage.mobile_automation.tests.PushNotificationTest<br>Parameters: {template={"Expected":{
      "Type":"Banner",
      "Name":"MobileSDKPushBannerLayout",
      "Title":"Text Template Banner",
      "Banner_Image":"https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg",
      "Content":{
         "TextAndAction":{
            "Title":"Text Template Banner",
            "Description":"Text Body"
         },
         "AdvancedOption":{
            "MessageSummary":"Banner Message Summary",
            "AdvOptionBtnLabel":"Banner ButtonLabel"
         }
      }
   }}, campaign_name=MobileSDKPushBannerLayout, user_id=TestUser002}</td>
<td></td>
<td>27</td>
<td>com.webengage.mobile_automation.tests.PushNotificationTest@73700b80</td></tr>
</table><p>
</body>
</html>